
:class:`VlcMovieStim`
---------------------

A stimulus class for playing movies (mpeg, avi, etc...) in PsychoPy using a
local installation of VLC media player (https://www.videolan.org/).

Requires version ``3.0.11115`` of ``python-vlc`` on Windows. Other platforms
(MacOS and Linux) may use a newer version.

Attributes
==========

.. currentmodule:: psychopy.visual

.. autosummary:: 

    VlcMovieStim
    VlcMovieStim.win
    VlcMovieStim.units
    VlcMovieStim.pos
    VlcMovieStim.ori
    VlcMovieStim.size
    VlcMovieStim.opacity
    VlcMovieStim.name
    VlcMovieStim.autoLog
    VlcMovieStim.draw
    VlcMovieStim.autoDraw
    VlcMovieStim.setMovie
    VlcMovieStim.loadMovie
    VlcMovieStim.isPlaying
    VlcMovieStim.isNotStarted
    VlcMovieStim.isStopped
    VlcMovieStim.isPaused
    VlcMovieStim.isFinished
    VlcMovieStim.play
    VlcMovieStim.pause
    VlcMovieStim.stop
    VlcMovieStim.seek
    VlcMovieStim.rewind
    VlcMovieStim.fastForward
    VlcMovieStim.replay
    VlcMovieStim.volume
    VlcMovieStim.setVolume
    VlcMovieStim.getVolume
    VlcMovieStim.increaseVolume
    VlcMovieStim.decreaseVolume
    VlcMovieStim.frameIndex
    VlcMovieStim.getCurrentFrameNumber
    VlcMovieStim.duration
    VlcMovieStim.loopCount
    VlcMovieStim.fps
    VlcMovieStim.getFPS
    VlcMovieStim.frameTime
    VlcMovieStim.getCurrentFrameTime
    VlcMovieStim.percentageComplete
    VlcMovieStim.getPercentageComplete
    VlcMovieStim.videoSize
    VlcMovieStim.interpolate
    VlcMovieStim.setFlipHoriz
    VlcMovieStim.setFlipVert
    VlcMovieStim.filename
    VlcMovieStim.autoStart
    
        
Details
=======

.. autoclass:: VlcMovieStim
    :members:
    :undoc-members:
    :inherited-members:
    